<template>
    <div v-show="tablePagination && lastPage > firstPage" :class="$_css.wrapperClass">
        <a :class="['btn-nav', $_css.linkClass, isOnFirstPage ? $_css.disabledClass : '']"
           @click="loadPage(firstPage)">
            <font-awesome-icon icon="angle-double-left"/>
        </a>

        <a :class="['btn-nav', $_css.linkClass, isOnFirstPage ? $_css.disabledClass : '']"
           @click="loadPage('prev')">
            <font-awesome-icon icon="angle-left"/>
        </a>

        <template v-if="notEnoughPages">
            <template v-for="(n, i) in totalPage">
                <a :key="i" :class="[$_css.pageClass, isCurrentPage(i+firstPage) ? $_css.activeClass : '']"
                   @click="loadPage(i+firstPage)"
                   v-html="n"> </a>
            </template>
        </template>

        <template v-else>
            <template v-for="(n, i) in windowSize">
                <a :key="i" :class="[$_css.pageClass, isCurrentPage(windowStart+i+firstPage-1) ? $_css.activeClass : '']"
                   @click="loadPage(windowStart+i+firstPage-1)"
                   v-html="windowStart+n-1"> </a>
            </template>
        </template>

        <a :class="['btn-nav', $_css.linkClass, isOnLastPage ? $_css.disabledClass : '']"
           @click="loadPage('next')">
            <font-awesome-icon icon="angle-right"/>
        </a>

        <a :class="['btn-nav', $_css.linkClass, isOnLastPage ? $_css.disabledClass : '']"
           @click="loadPage(lastPage)">
            <font-awesome-icon icon="angle-double-right"/>
        </a>
    </div>
</template>

<script>
import PaginationMixin from 'vuetable-2/src/components/VuetablePaginationMixin.vue'

export default {
    mixins: [PaginationMixin],
}
</script>
